import React from 'react';
import { Routes, Route } from 'react-router-dom';
import Navbar from './components/Navbar';
import HeroSection from './components/HeroSection';
import StatisticsSection from './components/StatisticsSection';
import FeaturesSection from './components/FeaturesSection';
import Footer from './components/Footer';
import CandidatePage from './components/CandidatePage';
import './App.css';

// HomePage component
const HomePage: React.FC = () => (
  <main className="flex-grow">
    <HeroSection />
    <StatisticsSection />
    <FeaturesSection />
  </main>
);

function App() {
  return (
    <div className="bg-gray-900 min-h-screen w-full flex flex-col">
      <Navbar />
      <Routes>
        <Route path="/" element={<HomePage />} />
        <Route path="/candidato/:id" element={<CandidatePage />} />
      </Routes>
      <Footer />
    </div>
  );
}

export default App;
