import React from 'react';
import SearchBar from './SearchBar';

const HeroSection: React.FC = () => {
  return (
    <section 
      className="min-h-screen flex flex-col justify-center items-center text-white p-4 bg-cover bg-center bg-no-repeat bg-gray-900 relative"
      style={{ backgroundImage: "url('https://upload.wikimedia.org/wikipedia/commons/thumb/2/21/National_Congress_of_Brazil%2C_Brasilia.jpg/1024px-National_Congress_of_Brazil%2C_Brasilia.jpg')" }}
    >
      <div className="absolute inset-0 bg-black/60"></div>
      <div className="relative z-10 text-center max-w-3xl">
        <h1 className="text-5xl md:text-7xl font-bold mb-6">
          Explore Dados Eleitorais
        </h1>
        <p className="text-lg md:text-xl mb-10 text-gray-300">
          OpenCand oferece acesso fácil e visualizações intuitivas de dados abertos do Tribunal Superior Eleitoral (TSE) do Brasil.
        </p>
        
        <SearchBar />
      </div>
    </section>
  );
};

export default HeroSection;
