import { openCandApi, ApiError, OpenCandApi } from '../api';

/**
 * Example usage of the OpenCand API client
 */
export class OpenCandApiExample {
  private api: OpenCandApi;

  constructor(baseUrl?: string) {
    // You can use the default instance or create a new one with custom base URL
    this.api = baseUrl ? new OpenCandApi(baseUrl) : openCandApi;
  }

  /**
   * Setup API configuration
   */
  setupApi(baseUrl: string, additionalHeaders?: Record<string, string>): void {
    this.api.setBaseUrl(baseUrl);
    
    if (additionalHeaders) {
      this.api.setDefaultHeaders(additionalHeaders);
    }

    // Set a custom timeout (optional)
    this.api.setTimeout(45000); // 45 seconds
  }
}